/**
 * @file mfcc_sample_app.h
 *
 * @brief This file contains function prototypes and data definitions that
 * helps to create, send and receive TC TM frames
 */
#ifndef _MFCC_SAMPLE_APP_H_
#define _MFCC_SAMPLE_APP_H_

/******** Automation Framework Start *********/

#define AUTOM_MAX_INPUT (100)

typedef struct _autom_user_input
{
	int autom_arg_cnt;
	int *autom_argv[AUTOM_MAX_INPUT];
	char autom_argv_valid[AUTOM_MAX_INPUT];
}s_autom_user_input;

/******** Automation Framework End *********/

//socket details
typedef struct sock_info
{
    char ip_addr[16];
    char port_num[5];
}s_sock_info;


void ft_init_ft_handler_thread(void);
void ft_init_ft_sus_res_thread(void);
void CSP_Setup(void);

int32_t mfcc_tcp_send(uint32_t addr, uint32_t port, uint8_t *data, uint32_t size);

#endif
